Package net.snowflake.client.jdbc.cloud.storage

## Class StorageObjectSummaryCollection

- java.lang.Object
- - net.snowflake.client.jdbc.cloud.storage.StorageObjectSummaryCollection

All Implemented Interfaces:
  `Iterable<StorageObjectSummary>`

    public class StorageObjectSummaryCollection
    extends Object
    implements Iterable<StorageObjectSummary>

Provides and iterator over storage object summaries from all supported cloud storage providers

### Constructor Summary

Constructors
`StorageObjectSummaryCollection​(com.google.api.gax.paging.Page<com.google.cloud.storage.Blob> gcsIterablePage)`
`StorageObjectSummaryCollection​(Iterable<com.microsoft.azure.storage.blob.ListBlobItem> azCLoudBlobIterable)`
`StorageObjectSummaryCollection​(List<com.amazonaws.services.s3.model.S3ObjectSummary> s3ObjectSummaries)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<StorageObjectSummary>` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### StorageObjectSummaryCollection

    public StorageObjectSummaryCollection​(List<com.amazonaws.services.s3.model.S3ObjectSummary> s3ObjectSummaries)

#### StorageObjectSummaryCollection

    public StorageObjectSummaryCollection​(Iterable<com.microsoft.azure.storage.blob.ListBlobItem> azCLoudBlobIterable)

#### StorageObjectSummaryCollection

    public StorageObjectSummaryCollection​(com.google.api.gax.paging.Page<com.google.cloud.storage.Blob> gcsIterablePage)

### Method Detail

#### iterator

    public Iterator<StorageObjectSummary> iterator()

Specified by:
  `iterator` in interface `Iterable<StorageObjectSummary>`